commit:     cef90861e7e2848989a61d476d64f911212a2a91
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 26 03:19:25 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 26 08:58:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cef90861

dev-python/django-prometheus: Bump to 2.4.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-prometheus/Manifest              |  1 +
 .../django-prometheus-2.4.1.ebuild                 | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/django-prometheus/Manifest 
b/dev-python/django-prometheus/Manifest
index a7d55a61a6f2..baba9f6e7925 100644
--- a/dev-python/django-prometheus/Manifest
+++ b/dev-python/django-prometheus/Manifest
@@ -1 +1,2 @@
 DIST django_prometheus-2.4.0.tar.gz 24393 BLAKE2B 
5b37af7501332348aa1dd463939a741f0d820b31ab62f34276888fa4d9cc86296b1c6d57e8bd085333561049c19af42e5a56acacd62bdfaf5eeed1940825cca6
 SHA512 
21fc667045242d34ad8bde8378769f7a48e1ebd15b0de9140c512376f4a0e2b368cf81ab70fe107da2c687dae1dd44efa403a142298c2904c51902ae8a40f33c
+DIST django_prometheus-2.4.1.tar.gz 24464 BLAKE2B 
b0a94e0a7eb35401d6ba17d3436bdec1bd4ea01f6d54fa6927213e6ff1f66ea259aa2241f9443a68d9427cbc1c377e4979cfe0f8e3736639818be536d37c34c3
 SHA512 
bfcf5afd1c209db350697000419078ae021f50e187a699922ed2f6b5d1b61b6b845ebd26eba812c0d4aceb31d5a424251d558473dd5739351ef4fd63fde77170

diff --git a/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild 
b/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild
new file mode 100644
index 000000000000..29ad93f95304
--- /dev/null
+++ b/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library to export Django metrics for Prometheus"
+HOMEPAGE="
+       https://github.com/django-commons/django-prometheus/
+       https://pypi.org/project/django-prometheus/
+"
+
+LICENSE="Apache-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+       >=dev-python/django-4.2[${PYTHON_USEDEP}]
+       >=dev-python/prometheus-client-0.7[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -i "/pytest-runner/d" setup.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to